#version 300 es
precision highp float;

layout(location=0) in vec4 position;
layout(location=1) in vec2 uv;
layout(location=2) in vec4 jointIndices;
layout(location=3) in vec4 jointWeights;
layout(location=4) in vec3 normal;

out vec2 uv0;
uniform mat4 MVPMatrix;

void main(void)
{
    gl_Position = MVPMatrix * position;
    uv0 = uv.st;
}